namespace Tinkerforge
{
    public static class EAmbientLight
    {
        public static (char Option, int Min, int Max) GetIlluminanceCallbackThreshold(this BrickletAmbientLight ambientLight)
        {           
            ambientLight.GetIlluminanceCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }

        public static (char Option, int Min, int Max) GetAnalogValueCallbackThreshold(this BrickletAmbientLight ambientLight)
        {
            ambientLight.GetAnalogValueCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }
    }
}
